summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Hesse2018-05-29 18:04:53 +0200
committerChristian Hesse2018-05-29 18:04:53 +0200
commit5a1c2624bc16ec084490ddb34e23ec7c24d19d1f (patch)
treec1599447f73be273f38cd997cb18951dbaaae338
parent4e39cb090a9aaa012e7f0ffce350dbce905b224d (diff)
downloadaur-5a1c2624bc16ec084490ddb34e23ec7c24d19d1f.tar.gz
commit vmware-horizon-client 4.8.0-1
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD14
2 files changed, 10 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bcd11d7a908..1526cb4fef8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,17 @@
-# Generated by mksrcinfo v8
-# Fri Jan 5 07:35:22 UTC 2018
pkgbase = vmware-horizon-client
pkgdesc = VMware Horizon Client connect to VMware Horizon virtual desktop
- pkgver = 4.7.0
+ pkgver = 4.8.0
pkgrel = 1
url = https://www.vmware.com/go/viewclients
arch = x86_64
license = custom
makedepends = libxslt
- source = vmware-horizon-client-4.7.0-7395152-x86_64.bundle::https://download3.vmware.com/software/view/viewclients/CART18FQ4/VMware-Horizon-Client-4.7.0-7395152.x64.bundle
+ source = vmware-horizon-client-4.8.0-8518891-x86_64.bundle::https://download3.vmware.com/software/view/viewclients/CART19FQ2/VMware-Horizon-Client-4.8.0-8518891.x64.bundle
source = http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/eclass/vmware-bundle.eclass
source = vmware-horizon-usb
source = vmware-horizon-usb.service
source = vmware-horizon-virtual-printing.service
- sha256sums = 0e6fc223bad6f9a608270fef094374fc8a2635a80ffc78056e847a01d30ffdfe
+ sha256sums = 40a3a5a194b3185fb129c30d8f2319868af28b4bf91f22da684e02e742aaaea8
sha256sums = d8794c22229afdeb698dae5908b7b2b3880e075b19be38e0b296bb28f4555163
sha256sums = 008b60ebf45f7d1e033c8ad8ce1688d5e1c59fc0668493067fb89b563b1dc00f
sha256sums = f0944ca74a44292e7f853792335d3bbd1a89a1d4964d6d74a7e9485a8b068b0b
diff --git a/PKGBUILD b/PKGBUILD
index f4b3ebce3f6..844a69a5678 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,10 +8,10 @@ pkgname=('vmware-horizon-client'
'vmware-horizon-virtual-printing'
'vmware-horizon-tsdr'
'vmware-horizon-mmr')
-# https://download3.vmware.com/software/view/viewclients/CART18FQ4/VMware-Horizon-Client-4.7.0-7395152.x64.bundle
-pkgver=4.7.0
-_build=7395152
-_cart='CART18FQ4'
+# https://download3.vmware.com/software/view/viewclients/CART19FQ2/VMware-Horizon-Client-4.8.0-8518891.x64.bundle
+pkgver=4.8.0
+_build=8518891
+_cart='CART19FQ2'
pkgrel=1
pkgdesc='VMware Horizon Client connect to VMware Horizon virtual desktop'
arch=('x86_64')
@@ -23,7 +23,7 @@ source=("${pkgbase}-${pkgver}-${_build}-x86_64.bundle::https://download3.vmware.
'vmware-horizon-usb'
'vmware-horizon-usb.service'
'vmware-horizon-virtual-printing.service')
-sha256sums=('0e6fc223bad6f9a608270fef094374fc8a2635a80ffc78056e847a01d30ffdfe'
+sha256sums=('40a3a5a194b3185fb129c30d8f2319868af28b4bf91f22da684e02e742aaaea8'
'd8794c22229afdeb698dae5908b7b2b3880e075b19be38e0b296bb28f4555163'
'008b60ebf45f7d1e033c8ad8ce1688d5e1c59fc0668493067fb89b563b1dc00f'
'f0944ca74a44292e7f853792335d3bbd1a89a1d4964d6d74a7e9485a8b068b0b'
@@ -71,13 +71,13 @@ build() {
for bundle in "${pkgname[@]}" vmware-horizon-pcoip; do
for FILE in $(find "${bundle}" -type f); do
# executables and libraries only
- file --mime "${FILE}" | egrep -q "(application/x-(executable|sharedlib)|text/x-shellscript)" || continue
+ file --mime "${FILE}" | egrep -q "(application/x-(pie-)?(executable|sharedlib)|text/x-shellscript)" || continue
# make executable
chmod +x "${FILE}"
# ELF executables and libraries only
- file --mime "${FILE}" | egrep -q "application/x-(executable|sharedlib)" || continue
+ file --mime "${FILE}" | egrep -q "application/x-(pie-)?(executable|sharedlib)" || continue
# even openssl 1.0.[12].x has library file names ending in .so.1.0.0
if [ ${_USE_BUNDLED_OPENSSL:=0} -eq 0 ]; then